Packaging - Feature #33193

Add a logrotate entry for /var/log/foreman-maintain
07/30/2021 01:28 PM - Amit Upadhye

Status: Closed
Priority: Normal
Assignee: Amit Upadhye
Category: RPMs
Target version: 3.0.0
Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1963956 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/6964,
https://github.com/theforeman/foreman-p
ackaging/pull/7127

Description

Description of problem:
foreman-maintain tool can easily generate a lot of logs (i.e. when used as a services check tool every few minutes). Default Satellite
deployment should housekeep those logs automatically, similarly like e.g. /var/log/foreman or /var/log/foreman-proxy .

Please provide in part of foreman-maintain package a file like (copy from foreman logs):

1. cat /etc/logrotate.d/foreman-maintain
2. Foreman-maintain logs:
/var/log/foreman-maintain/*.log {
daily
missingok
rotate 14
compress
delaycompress
notifempty
copytruncate
#

Version-Release number of selected component (if applicable):
Sat6.9

How reproducible:
100%

Steps to Reproduce:
1. Repeatedly run "foreman-maintain service status" or any other f-m command

2. Check that the /var/log/foreman-maintain/foreman-maintain.log* logs are never logrotated / housekept.

Actual results:
2. No logrotation.

Expected results:
2. Some reasonable logrotation (not necessarily the one | suggested).

Additional info:

Associated revisions

Revision 9d53d0d2 - 07/30/2021 06:56 PM - Amit Upadhye
Fixes #33193 - Add logrotate configuration file

History
#1 - 07/30/2021 01:29 PM - Amit Upadhye
- Tracker changed from Support to Feature

- Bugzilla link set to 1963956

#2 - 07/30/2021 01:34 PM - Amit Upadhye

- Project changed from Foreman Maintain to Packaging

#3 - 07/30/2021 01:46 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/6964 added

#4 - 07/30/2021 06:56 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#5 - 07/30/2021 07:08 PM - Amit Upadhye
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|9d53d0d27ee84e0cfceb7828dde8272b077b3bc5.

#6 - 08/06/2021 04:48 PM - Amit Upadhye
- Category set to RPMs

- Target version set to 3.0.0

#7 - 09/23/2021 05:37 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/7127 added
